HELP! Can't create new kit using EssentialsX

Discussion in 'Spigot Plugin Help' started by Jflash12, Apr 25, 2017.

  1. Hello. When I try to create a kit with EssentialsX(I do it IN Minecraft) It works. I go to the link and copy the code. I paste it, and restart my server so the kit will work. But when I restart the server, my config.yml resets to it's original state, meaning I lose all of my configurations. Please help!

    NVM I figured that out, but I can't access it as a de-op. It says I need permission, and I gave myself permission in the config.yml.

    I am using permissionsEx and WorldGuard. I wonder if they are hindering my ability to use /kit

    @ExplosiveNight You seem helpful. Could you help?

    My plugins I'm using on my server:
    ClearLag
    EnhancedSpawners
    EssentialsX
    EssentialsXAntiBuild
    EssentialsXChat
    EssentialsXGeoIP
    EssentialsXProtect
    EssentialsXSpawn
    EssentialsXXMPP
    Factions
    HolographicDisplays
    MassiveCore
    mcMMO
    Multiverse-Core
    Multiverse-NetherPortals
    Multiverse-Portals
    Multiverse-SignPortals
    PermissionsEx
    PlugMan
    worldedit
    worldguard
     
    #1 Jflash12, Apr 25, 2017
    Last edited by a moderator: Apr 27, 2017
  2. Why do you have EssentialsProtect/XMPP/AntiBuild/GeoIP?
    Do commands work in other dimensions? Post your WorldGuard config https://hastebin.com
    Also try doing
    Code (Text):
    /pex user yourname set essentials.*
     
  3. Did it. And I took out EssentialsProtect/XMPP/AntiBuild/GeoIP from my plugins folder

    /pex didn't work
    Error in command syntax
     
    #3 Jflash12, Apr 25, 2017
    Last edited by a moderator: Apr 27, 2017
  4. Control if the version of PermissionsEx is compatibile with the server version
     
  5. I fixed, but thanks!
     
  6. Oh nothing ^^, However what was the problem?
     
  7. The problem was that I had made a new kit in the config.yml, but when I tried to access it as a deop, I couldn't. I tried to give myself permission, but that didn't work. So I just redownloaded EssentialsX and it worked.